> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.hellosign.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.hellosign.com/_mcp/server.

# Add User to Team

PUT https://api.hellosign.com/v3/team/add_member
Content-Type: application/json

Invites a user (specified using the `email_address` parameter) to your Team. If the user does not currently have a Dropbox Sign Account, a new one will be created for them. If a user is already a part of another Team, a `team_invite_failed` error will be returned.

Reference: https://developers.hellosign.com/api/team/add-member

## Authentication

- `Authorization` header (basic auth, required) — Your API key can be used to make calls to the Dropbox Sign API. See [Authentication](/api/reference/authentication) for more information. ✅ Supported by Try it console (calls sent in `test_mode` only).
- `Authorization` header (bearer token, required) — You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

## Request

### Query parameters

- `team_id` (string, optional) — The id of the team.

### Body (application/json)

- `account_id` (string, optional) — `account_id` or `email_address` is required. If both are provided, the account id prevails. Account id of the user to invite to your Team.
- `email_address` (string, optional) — `account_id` or `email_address` is required, If both are provided, the account id prevails. Email address of the user to invite to your Team.
- `role` (enum, optional) — A role member will take in a new Team. **NOTE:** This parameter is used only if `team_id` is provided.
  - Allowed values: `Member`, `Developer`, `Team Manager`, `Admin`

## Response

### 200

successful operation

- `team` (object, required) — Contains information about your team and its members
  - `name` (string, optional) — The name of your Team
  - `accounts` (list of object, optional)
    - `account_id` (string, optional) — The ID of the Account
    - `email_address` (string, optional) — The email address associated with the Account.
    - `is_locked` (boolean, optional) — Returns `true` if the user has been locked out of their account by a team admin.
    - `is_paid_hs` (boolean, optional) — Returns `true` if the user has a paid Dropbox Sign account.
    - `is_paid_hf` (boolean, optional) — Returns `true` if the user has a paid HelloFax account.
    - `quotas` (object, optional) — Details concerning remaining monthly quotas.
      - `api_signature_requests_left` (integer, optional, nullable) — API signature requests remaining.
      - `documents_left` (integer, optional, nullable) — Signature requests remaining.
      - `templates_total` (integer, optional, nullable) — Total API templates allowed.
      - `templates_left` (integer, optional, nullable) — API templates remaining.
      - `sms_verifications_left` (integer, optional, nullable) — SMS verifications remaining.
      - `num_fax_pages_left` (integer, optional, nullable) — Number of fax pages left
    - `callback_url` (string, optional, nullable) — The URL that Dropbox Sign events will `POST` to.
    - `role_code` (string, optional, nullable) — The membership role for the team.
    - `team_id` (string, optional, nullable) — The id of the team account belongs to.
    - `locale` (string, optional, nullable) — The locale used in this Account. Check out the list of [supported locales](/api/reference/constants/#supported-locales) to learn more about the possible values.
    - `usage` (object, optional) — Details concerning monthly usage
      - `fax_pages_sent` (integer, optional, nullable) — Number of fax pages sent
    - `settings` (object, optional) — Subset of configured settings
      - `signer_access_codes` (boolean, optional) — Returns `true` if _Custom access codes_ is enabled in Admin Console. [Read more](https://developers.hellosign.com/docs/sms-tools/walkthrough).
      - `sms_delivery` (boolean, optional) — Returns `true` if _Text message_ is enabled in Admin Console. [Read more](https://developers.hellosign.com/docs/sms-tools/walkthrough).
      - `sms_authentication` (boolean, optional) — Returns `true` if _Signer authentication_ is enabled in Admin Console. [Read more](https://developers.hellosign.com/docs/sms-tools/walkthrough).
  - `invited_accounts` (list of object, optional) — A list of all Accounts that have an outstanding invitation to join your Team. Note that this response is a subset of the response parameters found in `GET /account`.
    - `account_id` (string, optional) — The ID of the Account
    - `email_address` (string, optional) — The email address associated with the Account.
    - `is_locked` (boolean, optional) — Returns `true` if the user has been locked out of their account by a team admin.
    - `is_paid_hs` (boolean, optional) — Returns `true` if the user has a paid Dropbox Sign account.
    - `is_paid_hf` (boolean, optional) — Returns `true` if the user has a paid HelloFax account.
    - `quotas` (object, optional) — Details concerning remaining monthly quotas.
      - `api_signature_requests_left` (integer, optional, nullable) — API signature requests remaining.
      - `documents_left` (integer, optional, nullable) — Signature requests remaining.
      - `templates_total` (integer, optional, nullable) — Total API templates allowed.
      - `templates_left` (integer, optional, nullable) — API templates remaining.
      - `sms_verifications_left` (integer, optional, nullable) — SMS verifications remaining.
      - `num_fax_pages_left` (integer, optional, nullable) — Number of fax pages left
    - `callback_url` (string, optional, nullable) — The URL that Dropbox Sign events will `POST` to.
    - `role_code` (string, optional, nullable) — The membership role for the team.
    - `team_id` (string, optional, nullable) — The id of the team account belongs to.
    - `locale` (string, optional, nullable) — The locale used in this Account. Check out the list of [supported locales](/api/reference/constants/#supported-locales) to learn more about the possible values.
    - `usage` (object, optional) — Details concerning monthly usage
      - `fax_pages_sent` (integer, optional, nullable) — Number of fax pages sent
    - `settings` (object, optional) — Subset of configured settings
      - `signer_access_codes` (boolean, optional) — Returns `true` if _Custom access codes_ is enabled in Admin Console. [Read more](https://developers.hellosign.com/docs/sms-tools/walkthrough).
      - `sms_delivery` (boolean, optional) — Returns `true` if _Text message_ is enabled in Admin Console. [Read more](https://developers.hellosign.com/docs/sms-tools/walkthrough).
      - `sms_authentication` (boolean, optional) — Returns `true` if _Signer authentication_ is enabled in Admin Console. [Read more](https://developers.hellosign.com/docs/sms-tools/walkthrough).
  - `invited_emails` (list of string, optional) — A list of email addresses that have an outstanding invitation to join your Team and do not yet have a Dropbox Sign account.
- `warnings` (list of object, optional) — A list of warnings.
  - `warning_msg` (string, required) — Warning message
  - `warning_name` (string, required) — Warning name

## Examples

### Team Add Member

**Request**

```json
undefined
```

**Response**

```json
{
  "team": {
    "name": "New Team Name",
    "accounts": [
      {
        "account_id": "5008b25c7f67153e57d5a357b1687968068fb465",
        "email_address": "me@dropboxsign.com",
        "is_locked": false,
        "is_paid_hs": true,
        "is_paid_hf": false,
        "quotas": {
          "api_signature_requests_left": 1250,
          "documents_left": null,
          "templates_left": null
        },
        "role_code": "a"
      }
    ],
    "invited_accounts": [
      {
        "account_id": "8e239b5a50eac117fdd9a0e2359620aa57cb2463",
        "email_address": "george@hellofax.com",
        "is_locked": false,
        "is_paid_hs": false,
        "is_paid_hf": false,
        "quotas": {
          "api_signature_requests_left": 0,
          "documents_left": 3,
          "templates_left": 0
        }
      }
    ],
    "invited_emails": [
      "invite_1@example.com",
      "invite_2@example.com",
      "invite_3@example.com"
    ]
  }
}
```

**SDK Code**

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");
// $config->setAccessToken("YOUR_ACCESS_TOKEN");

$team_add_member_request = (new Dropbox\Sign\Model\TeamAddMemberRequest())
    ->setEmailAddress("george@example.com");

try {
    $response = (new Dropbox\Sign\Api\TeamApi(config: $config))->teamAddMember(
        team_add_member_request: $team_add_member_request,
        team_id: "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c",
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling TeamApi#teamAddMember: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class TeamAddMemberExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";
        // config.AccessToken = "YOUR_ACCESS_TOKEN";

        var teamAddMemberRequest = new TeamAddMemberRequest(
            emailAddress: "george@example.com"
        );

        try
        {
            var response = new TeamApi(config).TeamAddMember(
                teamAddMemberRequest: teamAddMemberRequest,
                teamId: "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c"
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling TeamApi#TeamAddMember: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.TeamApi();
apiCaller.username = "YOUR_API_KEY";
// apiCaller.accessToken = "YOUR_ACCESS_TOKEN";

const teamAddMemberRequest: models.TeamAddMemberRequest = {
  emailAddress: "george@example.com",
};

apiCaller.teamAddMember(
  teamAddMemberRequest,
  "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c", // teamId
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling TeamApi#teamAddMember:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class TeamAddMemberExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");
        // ((HttpBearerAuth) config.getAuthentication("oauth2")).setBearerToken("YOUR_ACCESS_TOKEN");

        var teamAddMemberRequest = new TeamAddMemberRequest();
        teamAddMemberRequest.emailAddress("george@example.com");

        try
        {
            var response = new TeamApi(config).teamAddMember(
                teamAddMemberRequest,
                "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c" // teamId
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling TeamApi#teamAddMember");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
    # config.access_token = "YOUR_ACCESS_TOKEN"
end

team_add_member_request = Dropbox::Sign::TeamAddMemberRequest.new
team_add_member_request.email_address = "george@example.com"

begin
    response = Dropbox::Sign::TeamApi.new.team_add_member(
        team_add_member_request,
        {
            team_id: "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c",
        },
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling TeamApi#team_add_member: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
    # access_token="YOUR_ACCESS_TOKEN",
)

with ApiClient(configuration) as api_client:
    team_add_member_request = models.TeamAddMemberRequest(
        email_address="george@example.com",
    )

    try:
        response = api.TeamApi(api_client).team_add_member(
            team_add_member_request=team_add_member_request,
            team_id="4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c",
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling TeamApi#team_add_member: %s\n" % e)

```

```go Team Add Member
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/team/add_member?team_id=4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c"

	req, _ := http.NewRequest("PUT", url, nil)

	req.SetBasicAuth("<apiKey>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Team Add Member
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/team/add_member?team_id=4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Email Address Example

**Request**

```json
{
  "email_address": "george@example.com"
}
```

**Response**

```json
{
  "team": {
    "name": "New Team Name",
    "accounts": [
      {
        "account_id": "5008b25c7f67153e57d5a357b1687968068fb465",
        "email_address": "me@dropboxsign.com",
        "is_locked": false,
        "is_paid_hs": true,
        "is_paid_hf": false,
        "quotas": {
          "api_signature_requests_left": 1250,
          "documents_left": null,
          "templates_left": null
        },
        "role_code": "a"
      }
    ],
    "invited_accounts": [
      {
        "account_id": "8e239b5a50eac117fdd9a0e2359620aa57cb2463",
        "email_address": "george@hellofax.com",
        "is_locked": false,
        "is_paid_hs": false,
        "is_paid_hf": false,
        "quotas": {
          "api_signature_requests_left": 0,
          "documents_left": 3,
          "templates_left": 0
        }
      }
    ],
    "invited_emails": [
      "invite_1@example.com",
      "invite_2@example.com",
      "invite_3@example.com"
    ]
  }
}
```

**SDK Code**

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");
// $config->setAccessToken("YOUR_ACCESS_TOKEN");

$team_add_member_request = (new Dropbox\Sign\Model\TeamAddMemberRequest())
    ->setEmailAddress("george@example.com");

try {
    $response = (new Dropbox\Sign\Api\TeamApi(config: $config))->teamAddMember(
        team_add_member_request: $team_add_member_request,
        team_id: "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c",
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling TeamApi#teamAddMember: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class TeamAddMemberExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";
        // config.AccessToken = "YOUR_ACCESS_TOKEN";

        var teamAddMemberRequest = new TeamAddMemberRequest(
            emailAddress: "george@example.com"
        );

        try
        {
            var response = new TeamApi(config).TeamAddMember(
                teamAddMemberRequest: teamAddMemberRequest,
                teamId: "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c"
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling TeamApi#TeamAddMember: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.TeamApi();
apiCaller.username = "YOUR_API_KEY";
// apiCaller.accessToken = "YOUR_ACCESS_TOKEN";

const teamAddMemberRequest: models.TeamAddMemberRequest = {
  emailAddress: "george@example.com",
};

apiCaller.teamAddMember(
  teamAddMemberRequest,
  "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c", // teamId
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling TeamApi#teamAddMember:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class TeamAddMemberExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");
        // ((HttpBearerAuth) config.getAuthentication("oauth2")).setBearerToken("YOUR_ACCESS_TOKEN");

        var teamAddMemberRequest = new TeamAddMemberRequest();
        teamAddMemberRequest.emailAddress("george@example.com");

        try
        {
            var response = new TeamApi(config).teamAddMember(
                teamAddMemberRequest,
                "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c" // teamId
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling TeamApi#teamAddMember");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
    # config.access_token = "YOUR_ACCESS_TOKEN"
end

team_add_member_request = Dropbox::Sign::TeamAddMemberRequest.new
team_add_member_request.email_address = "george@example.com"

begin
    response = Dropbox::Sign::TeamApi.new.team_add_member(
        team_add_member_request,
        {
            team_id: "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c",
        },
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling TeamApi#team_add_member: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
    # access_token="YOUR_ACCESS_TOKEN",
)

with ApiClient(configuration) as api_client:
    team_add_member_request = models.TeamAddMemberRequest(
        email_address="george@example.com",
    )

    try:
        response = api.TeamApi(api_client).team_add_member(
            team_add_member_request=team_add_member_request,
            team_id="4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c",
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling TeamApi#team_add_member: %s\n" % e)

```

```go Email Address Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/team/add_member?team_id=4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c"

	payload := strings.NewReader("{\n  \"email_address\": \"george@example.com\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.SetBasicAuth("<apiKey>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Email Address Example
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = ["email_address": "george@example.com"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/team/add_member?team_id=4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Account ID Example

**Request**

```json
{
  "account_id": "f57db65d3f933b5316d398057a36176831451a35"
}
```

**Response**

```json
{
  "team": {
    "name": "New Team Name",
    "accounts": [
      {
        "account_id": "5008b25c7f67153e57d5a357b1687968068fb465",
        "email_address": "me@dropboxsign.com",
        "is_locked": false,
        "is_paid_hs": true,
        "is_paid_hf": false,
        "quotas": {
          "api_signature_requests_left": 1250,
          "documents_left": null,
          "templates_left": null
        },
        "role_code": "a"
      }
    ],
    "invited_accounts": [
      {
        "account_id": "8e239b5a50eac117fdd9a0e2359620aa57cb2463",
        "email_address": "george@hellofax.com",
        "is_locked": false,
        "is_paid_hs": false,
        "is_paid_hf": false,
        "quotas": {
          "api_signature_requests_left": 0,
          "documents_left": 3,
          "templates_left": 0
        }
      }
    ],
    "invited_emails": [
      "invite_1@example.com",
      "invite_2@example.com",
      "invite_3@example.com"
    ]
  }
}
```

**SDK Code**

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");
// $config->setAccessToken("YOUR_ACCESS_TOKEN");

$team_add_member_request = (new Dropbox\Sign\Model\TeamAddMemberRequest())
    ->setEmailAddress("george@example.com");

try {
    $response = (new Dropbox\Sign\Api\TeamApi(config: $config))->teamAddMember(
        team_add_member_request: $team_add_member_request,
        team_id: "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c",
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling TeamApi#teamAddMember: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class TeamAddMemberExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";
        // config.AccessToken = "YOUR_ACCESS_TOKEN";

        var teamAddMemberRequest = new TeamAddMemberRequest(
            emailAddress: "george@example.com"
        );

        try
        {
            var response = new TeamApi(config).TeamAddMember(
                teamAddMemberRequest: teamAddMemberRequest,
                teamId: "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c"
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling TeamApi#TeamAddMember: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.TeamApi();
apiCaller.username = "YOUR_API_KEY";
// apiCaller.accessToken = "YOUR_ACCESS_TOKEN";

const teamAddMemberRequest: models.TeamAddMemberRequest = {
  emailAddress: "george@example.com",
};

apiCaller.teamAddMember(
  teamAddMemberRequest,
  "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c", // teamId
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling TeamApi#teamAddMember:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class TeamAddMemberExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");
        // ((HttpBearerAuth) config.getAuthentication("oauth2")).setBearerToken("YOUR_ACCESS_TOKEN");

        var teamAddMemberRequest = new TeamAddMemberRequest();
        teamAddMemberRequest.emailAddress("george@example.com");

        try
        {
            var response = new TeamApi(config).teamAddMember(
                teamAddMemberRequest,
                "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c" // teamId
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling TeamApi#teamAddMember");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
    # config.access_token = "YOUR_ACCESS_TOKEN"
end

team_add_member_request = Dropbox::Sign::TeamAddMemberRequest.new
team_add_member_request.email_address = "george@example.com"

begin
    response = Dropbox::Sign::TeamApi.new.team_add_member(
        team_add_member_request,
        {
            team_id: "4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c",
        },
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling TeamApi#team_add_member: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
    # access_token="YOUR_ACCESS_TOKEN",
)

with ApiClient(configuration) as api_client:
    team_add_member_request = models.TeamAddMemberRequest(
        email_address="george@example.com",
    )

    try:
        response = api.TeamApi(api_client).team_add_member(
            team_add_member_request=team_add_member_request,
            team_id="4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c",
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling TeamApi#team_add_member: %s\n" % e)

```

```go Account ID Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/team/add_member?team_id=4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c"

	payload := strings.NewReader("{\n  \"account_id\": \"f57db65d3f933b5316d398057a36176831451a35\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.SetBasicAuth("<apiKey>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Account ID Example
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = ["account_id": "f57db65d3f933b5316d398057a36176831451a35"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/team/add_member?team_id=4fea99bfcf2b26bfccf6cea3e127fb8bb74d8d9c")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```